View Issue Details

IDProjectCategoryView StatusLast Update
0001040Far ManagerMain menupublic2017-11-01 01:58
ReporterfarmanAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001040: Main Usermenu & Console Command
Descriptionhi, this is my first time in here. :)

The following bug is reported by me in the forum and (shortly) discussed. Please, have a look too:
http://forum.farmanager.com/viewtopic.php?f=37&t=4494

=================================

There seems to be an error in "User menu" by handling Console Commands:
(System: Win XP SP3, Far 2: current nightly build)

F2 (User Main Menu):
Command: "CLS & ECHO. & ipconfig /all & ECHO. & ECHO. & PAUSE"

Problem 1:

1. With "CLS" the command doesn't work (tested with other commands too)

2. Test:
Changing the Command to "ECHO. & ipconfig /all & ECHO. & ECHO. & PAUSE"

-> Result:
"ECHO." doesn't produce an empty line. "ECHO." works like "ECHO" (= echo is on/off). Same Error by typing it in Prompt. The other "ECHO." at the end of line work ok.
(Try also: "ECHO. & ECHO. & PAUSE")

Maybe a wrong Implementation in FAR 2? It still works in Far 1.7x.

===========================

Problem 2:

Another Error / strange behaviour of FarMenu:

A:
1. Set Directory to %FarHome%
2. F2 (Menu read from Farmenu.ini in MainFolder)
Shows: "Local menu"
3. press Backspace
Shows: "Main menu (FAR folder)" (same as local)
4. press Backspace
Shows: "Main menu (Registry)" (empty)

B:
1. Set Directory not in %FarHome%
2. F2 (Menu read from Farmenu.ini in MainFolder)
Shows: "Main menu (FAR folder)"
3. press Backspace
Shows: "Main menu (Registry)" (empty)

C:
Try this from a Submenu by going back to higher menu with BS (FarFolder and another Directory). This is strange too.


These doubled and empty menus are somehow strange. It's an old behaviour (far 1.x too).
BS should work like ESC. (workaround macro: BS in Menus becomes ESC).

Problem 3:

Recording a Macro (BS in Menus becomes ESC):
Always saved in Work Area "User Menu". It doesn't matter if recording is started in "Main menu" or "Local Menu".
Anyway, it works...
Additional InformationThanx to everybody.
:)

TagsNo tags attached.
Build4797

Activities

JohnDoe

2016-09-12 20:49

updater   bugnote:0014761

Problem 1: There was similar ticket..
As workaround you can use cmd /c
Anyway far need to be fixed

Problem 2: Far 3 still has it.

Problem 3: Failed to understand

DrKnS

2016-09-12 22:04

administrator   bugnote:0014762

farman wrote

Far 2: current nightly build


Far 2 is not supported and there are no nightly builds of it.

farman

2016-09-13 12:57

reporter   bugnote:0014763

Oh man, this is rather old. We better forget about problem 1 and 3.

JohnDoe

2016-09-14 09:31

updater   bugnote:0014766

Why forget about problem 1?
It is still here
Someone wrote

F2 (User Main Menu):
Command: "CLS & ECHO. & ipconfig /all & ECHO. & ECHO. & PAUSE"

DrKnS

2016-09-25 20:38

administrator   bugnote:0014807

1 - "CLS & ECHO. & ipconfig /all & ECHO. & ECHO. & PAUSE" should work in 4797.

2 - this one works in the same way in both far and cmd. Could you elaborate please?

JohnDoe

2017-09-23 12:46

updater   bugnote:0015608

Shouldn't this be closed?

farman

2017-09-23 17:48

reporter   bugnote:0015609

Absolutely.
Except we have to keep this historical artifact for the next generations. ;)

Issue History

Date Modified Username Field Change
2009-09-07 10:45 farman New Issue
2016-09-12 20:49 JohnDoe Note Added: 0014761
2016-09-12 22:04 DrKnS Note Added: 0014762
2016-09-13 12:57 farman Note Added: 0014763
2016-09-14 09:31 JohnDoe Note Added: 0014766
2016-09-25 20:38 DrKnS Note Added: 0014807
2016-09-25 20:38 DrKnS Assigned To => DrKnS
2016-09-25 20:38 DrKnS Status new => feedback
2017-09-23 12:46 JohnDoe Note Added: 0015608
2017-09-23 17:48 farman Note Added: 0015609
2017-09-23 17:48 farman Status feedback => assigned
2017-11-01 01:58 DrKnS Status assigned => closed
2017-11-01 01:58 DrKnS Resolution open => fixed
2017-11-01 01:58 DrKnS Fixed in Version => 3.0
2017-11-01 01:58 DrKnS Build => 4797